[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponent.Create

Creates a new instance of the component.

## Declaration

Source position: classesh.inc line 1731

`public constructor TComponent.Create(`
`AOwner: TComponent`
`); virtual;`

## Description

Create creates a new instance of a TComponent class. If AOwner is not Nil, the new component attempts to insert itself in the list of owned components of the owner.

## See also

Insert
Owner |  | Owner of this component.

Documentation generated on: Feb 26 2014